package com.dbnt.faisp.main.faStatistics.crackdownsStatus.mapper;

import com.dbnt.faisp.main.faStatistics.crackdownsStatus.model.crackdownStatus.CrackdownStatus;
import com.dbnt.faisp.main.faStatistics.crackdownsStatus.model.fishingBoat.FishingBoat;
import com.dbnt.faisp.main.faStatistics.crackdownsStatus.model.fishingBoat.FishingBoatVersion;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CrackdownStatusMapper {
    List<CrackdownStatus> selectCrackdownStatusList(CrackdownStatus crackdownStatus);
    Integer selectCrackdownStatusListCnt(CrackdownStatus crackdownStatus);

    List<CrackdownStatus> selectFishingBoatList(CrackdownStatus crackdownStatus);
    Integer selectFishingBoatListCnt(CrackdownStatus crackdownStatus);
    List<FishingBoatVersion> selectFishingBoatVersionList(Integer fbKey);
}
